curl --request POST \
--url https://api.sandbox.lead.bank/v1/internal_transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": 5000,
"currency_code": "USD",
"sender_account_number_id": "account_number_xyz123",
"receiver_account_number_id": "account_number_xyz123",
"description": "Internal treasury transfer",
"metadata": {}
}
'import requests
url = "https://api.sandbox.lead.bank/v1/internal_transfer"
payload = {
"amount": 5000,
"currency_code": "USD",
"sender_account_number_id": "account_number_xyz123",
"receiver_account_number_id": "account_number_xyz123",
"description": "Internal treasury transfer",
"metadata": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 5000,
currency_code: 'USD',
sender_account_number_id: 'account_number_xyz123',
receiver_account_number_id: 'account_number_xyz123',
description: 'Internal treasury transfer',
metadata: {}
})
};
fetch('https://api.sandbox.lead.bank/v1/internal_transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "internal_transfer_xyz123",
"amount": 5000,
"currency_code": "USD",
"sender_account_id": "account_xyz123",
"sender_account_number_id": "account_number_xyz123",
"receiver_account_id": "account_xyz123",
"receiver_account_number_id": "account_number_xyz123",
"status": "processing",
"description": "string",
"metadata": {
"additionalProp": "string"
},
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Create an Internal Transfer
Creates an asynchronous Internal Transfer.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key
5 - 255Body
The amount of the internal transfer transaction in cents.
1 <= x <= 99000000005000
A three-letter currency code as defined in ISO 4217.
USD "USD"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
Statement descriptor for the Internal Transfer
5 - 34"Internal treasury transfer"
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Response
Successful response
The ID of the Internal Transfer object.
^internal_transfer_\w+$"internal_transfer_xyz123"
The amount of the transaction in cents.
0 <= x <= 99000000005000
A three-letter currency code as defined in ISO 4217.
USD "USD"
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
The current status of the InternalTransfer object.
processing, posted, rejected "posted"
Memo string for the transfer
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
The RFC3339 timestamp at which the InternalTransfer object was created.
"2022-06-27T11:22:33Z"
The RFC3339 timestamp at which the InternalTransfer object was last updated.
"2022-06-27T11:22:33Z"
Show child attributes
Show child attributes
Was this page helpful?

